import {
  __name
} from "./chunk-Q3KE6ACF.mjs";

// src/use-supported.ts
import { tryOnMounted } from "@chakra-ui/vue-utils";
import { ref } from "vue";
function useSupported(callback, sync = false) {
  const isSupported = ref();
  const update = /* @__PURE__ */ __name(() => isSupported.value = Boolean(callback()), "update");
  update();
  tryOnMounted(update, sync);
  return isSupported;
}
__name(useSupported, "useSupported");

export {
  useSupported
};
