import { ComputedRef, Ref } from 'vue';

declare function useClipboard({ source, copyTimeout, read, }: {
    source?: ComputedRef<string> | Ref<string>;
    copyTimeout?: number;
    read?: boolean;
}): {
    copy: (_value?: string | undefined) => Promise<void>;
    text: ComputedRef<string>;
    copied: ComputedRef<boolean>;
};

export { useClipboard };
