import { Ref } from 'vue';

type OnUpdate = (message: StackMessage, element: HTMLElement) => void;
declare enum StackMessage {
    AddElement = 0,
    RemoveElement = 1
}
declare function useStackContext(): OnUpdate;
declare function useElementStack(element: Ref<HTMLElement | null> | null): void;
declare function useStackProvider(onUpdate?: OnUpdate): void;

export { StackMessage, useElementStack, useStackContext, useStackProvider };
