import * as vue from 'vue';
import { MaybeComputedRef, ConfigurableWindow } from '@chakra-ui/vue-utils';

/**
 * Reactive Media Query.
 *
 * @param query
 * @param options
 */
declare function useMediaQuery(query: MaybeComputedRef<string>, options?: ConfigurableWindow): vue.Ref<boolean>;

export { useMediaQuery };
