"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/use-supported.ts
var use_supported_exports = {};
__export(use_supported_exports, {
  useSupported: () => useSupported
});
module.exports = __toCommonJS(use_supported_exports);
var import_vue_utils = require("@chakra-ui/vue-utils");
var import_vue = require("vue");
function useSupported(callback, sync = false) {
  const isSupported = (0, import_vue.ref)();
  const update = /* @__PURE__ */ __name(() => isSupported.value = Boolean(callback()), "update");
  update();
  (0, import_vue_utils.tryOnMounted)(update, sync);
  return isSupported;
}
__name(useSupported, "useSupported");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useSupported
});
